Cyan Web API - Version 1


GET api/messageRoute?{messageRouteId:guid}

            Gets message route
            

Request Information

Parameters

NameDescriptionAdditional information
messageRouteId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "messageRouteId": "61993694-3c01-49ec-ae41-782ecb95b19b",
  "tenantId": "21032b32-ceb0-4fc8-90bd-cb715cac1c29",
  "messageTypeId": "18ffb039-0d0f-443b-a666-d5cd96e8e2b4",
  "userId": "ecf7bf81-29ba-48e9-8dbe-5b3bf3a46d8e",
  "userGroupId": "f86d0841-ae22-4e22-8389-a93962824a36",
  "deviceId": "345f93e3-c77a-40c5-b8d2-9f9dff369c92",
  "deviceGroupId": "bba03695-511d-441d-8127-e540d2a4e1d9",
  "applicationId": "14737c39-60b3-47fa-bd19-1004119b3c1e",
  "applicationVersionId": "59b51065-d0f0-41cf-a1eb-261ba278716d",
  "messageDestinationId": "455ccb14-c55b-4528-935e-48aa2cceb8be",
  "name": "sample string 4",
  "description": "sample string 5",
  "createdDateUtc": "2026-06-22T15:31:59.7343139+00:00",
  "updatedDateUtc": "2026-06-22T15:31:59.7343139+00:00"
}

application/xml, text/xml

Sample:
<MessageRouteRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-06-22T15:31:59.7343139+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-06-22T15:31:59.7343139+00:00</UpdatedDateUtc>
  <ApplicationId>14737c39-60b3-47fa-bd19-1004119b3c1e</ApplicationId>
  <ApplicationVersionId>59b51065-d0f0-41cf-a1eb-261ba278716d</ApplicationVersionId>
  <Description>sample string 5</Description>
  <DeviceGroupId>bba03695-511d-441d-8127-e540d2a4e1d9</DeviceGroupId>
  <DeviceId>345f93e3-c77a-40c5-b8d2-9f9dff369c92</DeviceId>
  <MessageDestinationId>455ccb14-c55b-4528-935e-48aa2cceb8be</MessageDestinationId>
  <MessageRouteId>61993694-3c01-49ec-ae41-782ecb95b19b</MessageRouteId>
  <MessageTypeId>18ffb039-0d0f-443b-a666-d5cd96e8e2b4</MessageTypeId>
  <Name>sample string 4</Name>
  <TenantId>21032b32-ceb0-4fc8-90bd-cb715cac1c29</TenantId>
  <UserGroupId>f86d0841-ae22-4e22-8389-a93962824a36</UserGroupId>
  <UserId>ecf7bf81-29ba-48e9-8dbe-5b3bf3a46d8e</UserId>
</MessageRouteRepresentation>